Package it.ernytech.tdlib

## Class TdApi.MessageCall

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.MessageContent
    - - it.ernytech.tdlib.TdApi.MessageCall

Enclosing class:
  TdApi

    public static class TdApi.MessageCall
    extends TdApi.MessageContent

A message with information about an ended call.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.CallDiscardReason` `discardReason` Reason why the call was discarded.
`int` `duration` Call duration, in seconds.

### Constructor Summary

Constructors
`MessageCall()` Default constructor.
`MessageCall​(TdApi.CallDiscardReason discardReason, int duration)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### discardReason

    public TdApi.CallDiscardReason discardReason

Reason why the call was discarded.

#### duration

    public int duration

Call duration, in seconds.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### MessageCall

    public MessageCall()

Default constructor.

#### MessageCall

    public MessageCall​(TdApi.CallDiscardReason discardReason,
                       int duration)

Constructor for initialization of all fields.

Parameters:
  `discardReason` - Reason why the call was discarded.
  `duration` - Call duration, in seconds.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR